package com.hzya.frame;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.hzya.frame.plugin.seeyonExt.plugin.SeeyonExtPluginInitializer;
import com.hzya.frame.util.AESUtil;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;

/**
 * @ClassName dsasas
 * @Description
 * @Author llg
 * Date 2023/7/16 8:18 上午
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = {WebappApplication.class})
public class temButtom {

    @Resource
    SeeyonExtPluginInitializer seeyonExtPluginInitializer;
    @Test
    public void seeyonExtTest(){
        JSONObject jsonStr = new JSONObject();
        jsonStr.put("integration_task_living_details_id","4276973516873482804");
        JSONObject requestJson = new JSONObject();
        requestJson.put("jsonStr", JSON.toJSONString(jsonStr));
        try {
            seeyonExtPluginInitializer.executeBusiness(requestJson);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }

    @Test
    public void test01() {
        String a = AESUtil.encrypt("hzya@1314");
        System.out.println(a);

        //String sa= "{\n  \\"status\\": \\"success\\",\n  \\"data\\": \\"[{\\\\"pk_corp\\\\":\\\\"1001\\\\",\\\\"unitcode\\\\":\\\\"01\\\\",\\\\"unitname\\\\":\\\\"临安奥星电子股份有限公司\\\\",\\\\"createdate\\\\":\\\\"2024-04-24\\\\",\\\\"deptattr\\\\":\\\\"1\\\\",\\\\"deptname\\\\":\\\\"DEV测试一级部门\\\\",\\\\"deptcode\\\\":\\\\"99\\\\",\\\\"pk_deptdoc\\\\":\\\\"1001F1100000000067AS\\\\"}]\\",\n  \\"taskNumber\\": \\"202404250041\\"\n}";
    }




}
